# Created by pyp2rpm-3.3.2
%global pypi_name argparse

%bcond_with docs

Name:           python-%{pypi_name}
Version:        1.4.0
Release:        %mkrel 9
Summary:        Python command-line parsing library
Group:          Development/Python
License:        Python Software Foundation License
URL:            https://github.com/ThomasWaldmann/argparse/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
The argparse module makes writing command line tools in Python easy.
Just briefly describe your command line interface and argparse will
take care of the rest, including:

* parsing the arguments and flags from ``sys.argv``
* converting arg strings into objects for your program
* formatting and printing any help messages
* and much more ...

For those familiar with the optparse module from the Python standard
library, argparse improves on this module in a number of ways,
including:

* handling positional arguments
* supporting sub-commands
* allowing alternative option prefixes like ``+`` and ``/``
* handling zero-or-more and one-or-more style arguments
* producing more informative usage messages
* providing a much simpler interface for custom types and actions

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%if %{with docs}
BuildRequires:  python3dist(sphinx)
%endif
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The argparse module makes writing command line tools in Python easy.
Just briefly describe your command line interface and argparse will
take care of the rest, including:

* parsing the arguments and flags from ``sys.argv``
* converting arg strings into objects for your program
* formatting and printing any help messages
* and much more ...

For those familiar with the optparse module from the Python standard
library, argparse improves on this module in a number of ways,
including:

* handling positional arguments
* supporting sub-commands
* allowing alternative option prefixes like ``+`` and ``/``
* handling zero-or-more and one-or-more style arguments
* producing more informative usage messages
* providing a much simpler interface for custom types and actions

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE.txt doc/source/Python-License.txt doc/source/license.rst
%doc README.txt
%if %{with docs}
%doc html
%endif
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{pypi_name}.*
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 1.4.0-9.mga9
+ Revision: 1822114
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 1.4.0-8.mga9
+ Revision: 1771895
- rebuild for python3.10

* Sun Mar 14 2021 wally <wally> 1.4.0-7.mga9
+ Revision: 1702601
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.4.0-6.mga8
+ Revision: 1531595
- Mageia 8 Mass Rebuild

* Sat Sep 14 2019 tv <tv> 1.4.0-5.mga8
+ Revision: 1440618
- rebuild for python-3.8

* Wed Sep 04 2019 wally <wally> 1.4.0-4.mga8
+ Revision: 1437142
- rebuild with new python-rpm-macros

* Tue Sep 03 2019 wally <wally> 1.4.0-3.mga8
+ Revision: 1436796
- rebuild for python3.8
- drop python2 support

* Sat Jan 05 2019 wally <wally> 1.4.0-2.mga7
+ Revision: 1349272
- rebuild for python3.7

* Sun Nov 11 2018 kekepower <kekepower> 1.4.0-1.mga7
+ Revision: 1329523
- Update to version 1.4.0
- Rename python-argparse to python2-argparse
- Use python_provide
- Docs in a separate package

* Thu Sep 20 2018 umeabot <umeabot> 1.2.1-14.mga7
+ Revision: 1288242
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.2.1-13.mga7
+ Revision: 1135310
- Rebuild for python 3.6

* Wed Apr 27 2016 tv <tv> 1.2.1-12.mga6
+ Revision: 1006922
- use new py macros

* Fri Feb 19 2016 umeabot <umeabot> 1.2.1-11.mga6
+ Revision: 970660
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 tv <tv> 1.2.1-10.mga6
+ Revision: 887477
- rebuild for python 3.5

* Mon Oct 20 2014 tv <tv> 1.2.1-9.mga5
+ Revision: 792039
- BR python3-setuptools
- add python3 support

* Wed Oct 15 2014 umeabot <umeabot> 1.2.1-8.mga5
+ Revision: 743238
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.2.1-7.mga5
+ Revision: 728058
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.2.1-6.mga5
+ Revision: 687885
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.2.1-4.mga4
+ Revision: 542948
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.2.1-3.mga4
+ Revision: 498115
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 1.2.1-2.mga3
+ Revision: 378469
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 neoclust <neoclust> 1.2.1-1.mga3
+ Revision: 313603
- imported package python-argparse


* Thu Apr 21 2011 Lev Givon <lev@mandriva.org> 1.2.1-1mdv2011.0
+ Revision: 656496
- Update to 1.2.1.

* Sun Mar 27 2011 Lev Givon <lev@mandriva.org> 1.2-1
+ Revision: 648599
- Update to 1.2.

* Wed Nov 17 2010 Funda Wang <fwang@mandriva.org> 1.1-1mdv2011.0
+ Revision: 598174
- update file list

* Mon Mar 01 2010 Lev Givon <lev@mandriva.org> 1.1-1mdv2010.1
+ Revision: 512979
- Update to 1.1.

* Wed Dec 09 2009 Lev Givon <lev@mandriva.org> 1.0.1-1mdv2010.1
+ Revision: 475622
- Update to 1.0.1.
  Fix world-writable files.

* Mon Jul 27 2009 Lev Givon <lev@mandriva.org> 1.0-1mdv2010.0
+ Revision: 400533
- Update to 1.0.

* Sat Jan 03 2009 Funda Wang <fwang@mandriva.org> 0.8.0-2mdv2009.1
+ Revision: 323533
- rebuild

* Thu Jul 17 2008 Lev Givon <lev@mandriva.org> 0.8.0-1mdv2009.0
+ Revision: 237814
- import python-argparse


* Thu Jul 17 2008 Lev Givon <lev@mandriva.org> 0.8.0-1mdv2008.1
- Package for Mandriva.
